Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> RN v2.20.00 - All Issues
Author Message
red46
Hangin' Around


Joined: Sep 06, 2008
Posts: 43

PostPosted: Mon Sep 15, 2008 4:09 pm Reply with quote

I've installed RavenNuke2.20.01 then installed gallery2.2 full, with the integrations package phpnuke_063
Presumably this 063 is the right integration for gallery 2.
I installed as a module for the nuke. Everything is working great, in the gallery but when I click on the gallery link on the left, in the nuke home page, it can't find the file.

Also, when I go to the admin page and click on the gallery link, I get this message

Your integration package is not up to date.
Latest version available is 0.6.3. Your installed version is
To see what has changed, read the ChangeLog here: Only registered users can see links on this board! Get registered or login!
You can download the latest integration package from Only registered users can see links on this board! Get registered or login!

This I don't understand because its definitely 0.6.3
And I noticed the message seemed cut off where it says your installed version is.........

Something sure is amiss Smile Now the gallery itself seems to be just fine- it's just when I try the link to the gallery, through the nuke page, I get nothing.

I don't suppose theres a super brain, out there that just might have an idea of why this is happening???????
 
View user's profile Send private message
Dawg
RavenNuke(tm) Development Team


Joined: Nov 07, 2003
Posts: 910

PostPosted: Mon Sep 15, 2008 7:02 pm Reply with quote

....a place to start....

I would start by removeing the intergration package and returning gallery to a standalone app.

Then I would test it as a stand alone.

Once that worked....I would redo the intergration package....turn it on in Modules admin.....click on the G2 admin (IN Nuke) and reset the database settings. At that point it should work.

I am thinking either A) a bad FPT upload or B) you did not turn on the modules inside of nuke/modules/ or C) you did not reset the daatabase config in Nuke/admin/G2

Just a thought....

Dawg

Dawg
 
View user's profile Send private message
red46
PostPosted: Tue Sep 16, 2008 11:32 am Reply with quote

another dumb question.
In the readme file for the integration pkg, it says


""If you are using a version of PHPNuke older than version 7.5, you must delete the following files from the integration package:
html/modules/gallery2/admin/case.php
html/modules/gallery2/admin/links.php

If you are using a version of PHPNuke equal to or newer than version 7.5, you must delete the following files from the integration package:
html/admin/case/case.gallery2.php
html/admin/links/links.gallery2.php

I can't tell, how to tell which of these cases fits the RavenNuke. Is it equal to or newer than version 7.5?????
 
Dawg
PostPosted: Tue Sep 16, 2008 11:59 am Reply with quote

RN is based on 7.6

Dawg
 
jakec
Site Admin


Joined: Feb 06, 2006
Posts: 3048
Location: United Kingdom

PostPosted: Tue Sep 16, 2008 11:59 am Reply with quote

In theory newer, because RN was originally based on version 7.6.
 
View user's profile Send private message
red46
PostPosted: Wed Sep 17, 2008 9:41 am Reply with quote

This is odd. I treated it as newer and deleted the html/case/case.gallery2.php and links.gallery2.php

Removed and reuploaded, after disabling in admin. When I returned to admin, enabled and then clicked on the gallery link, the system only complained about not finding those 2 files. Smile

Guess I'll replace them and remove the other 2....wait a sec...that's what I did the first time and that didn't work. sigh...I'll try it again.
 
Dawg
PostPosted: Wed Sep 17, 2008 9:54 am Reply with quote

You are not doing something right....are you sure you are running on RN?

You should be removing the admin/case/case.gallery2.php and admin/links/links.gallery2.php files.

The ones you should be running on are in modules/gallery(2)/admin/case.php and links.php

Dawg
 
jaded
Theme Guru


Joined: Nov 01, 2003
Posts: 1006

PostPosted: Wed Sep 17, 2008 12:09 pm Reply with quote

Something is definitely amiss here. When you run the integration package, what are the current settings that it is showing you? Those are very important. Please provide this information and we will be able to help a bit more. Thank you.

_________________
Themes BB Skins Only registered users can see links on this board! Get registered or login!
Graphic Tees Only registered users can see links on this board! Get registered or login!
Paranormal Tees Only registered users can see links on this board! Get registered or login!
Ghost Stories & More Only registered users can see links on this board! Get registered or login! 
View user's profile Send private message Visit poster's website
red46
PostPosted: Wed Sep 17, 2008 12:39 pm Reply with quote

Aaaargh! Help:(
I reuploaded all the files. Now when I click on the gallery logo in admin, I get this

Warning: main(modules/gallery2/admin/language/lang-english.php): failed to open stream: No such file or directory in /nuke/admin/case/case.gallery2.php on line 40

Warning: main(): Failed opening 'modules/gallery2/admin/language/lang-english.php' for inclusion (include_path='.:/include:/usr/lib/php') in /nuke/admin/case/case.gallery2.php on line 40

Warning: main(modules/gallery2/admin/index.php): failed to open stream: No such file or directory in /nuke/admin/case/case.gallery2.php on line 46

Warning: main(): Failed opening 'modules/gallery2/admin/index.php' for inclusion (include_path='.:/include:/usr/lib/php') in /nuke/admin/case/case.gallery2.php on line 46


I'm getting lost in the forest.
 
evaders99
Former Moderator in Good Standing


Joined: Apr 30, 2004
Posts: 3221

PostPosted: Wed Sep 17, 2008 12:43 pm Reply with quote

It is probably not detecting the correct phpNuke version, because RavenNuke uses the "rn2.30.00" string rather than the numeric 7.x

_________________
- Only registered users can see links on this board! Get registered or login! -

Need help? Only registered users can see links on this board! Get registered or login! 
View user's profile Send private message Visit poster's website
red46
PostPosted: Wed Sep 17, 2008 12:44 pm Reply with quote

jaded wrote:
Something is definitely amiss here. When you run the integration package, what are the current settings that it is showing you? Those are very important. Please provide this information and we will be able to help a bit more. Thank you.


Run? It says in the readme just to go into the nuke admin, activate the gallery and then go to the gallery configuration. Is that what you mean by 'run'?

Also, I noted this in the readme:
By default, the Gallery 2 installation will be installed in html/modules/gallery2/

mine isn't installed in "html/modules/gallery" it installed as /nuke/modules/gallery2/
no html folder in between.
the gallery itself is working fine, it's just the integration between nuke and the gallery. Is the missing directory 'html' my problem?
 
Dawg
PostPosted: Wed Sep 17, 2008 2:34 pm Reply with quote

Check your path in the intergration package....

I bet the path is having issues....
 
red46
PostPosted: Wed Sep 17, 2008 4:27 pm Reply with quote

Oh yes....getting a headache. Natch! hahaha
OK...so I went back over everything and added the files in subdirectories under nuke, instead of under gallery2. I think it fixed it.
The pkg doesn't explain that part. I just assumed it meant to add the files under gallery 2.

OK, so now help me with something else that popped up. ha Sorry.
I clicked on the gallery image, in admin. The page loaded up for me to add the path but there is a message:

PHP socket functions have been disabled.


Please hold my hand. I promise not to stop learning about this stuff. I plan to master it, come hell or high water.
How do enable php socket functions?
 
evaders99
PostPosted: Wed Sep 17, 2008 5:10 pm Reply with quote

It is a server setting, you may be able to enable it if you have access to php.ini
Otherwise your host will have to change it
 
red46
PostPosted: Wed Sep 17, 2008 5:59 pm Reply with quote

This is driving me nuts. Going back over the steps.
Installed RavenNuke 2.20.01
Installed Gallery 2.2.5 into nuke modules
Installed Gallery2 update (2.3 Rc1 full)
Installed phpNuke_063 intergration

When I went to the Gallery admin config, I get this message

Your integration package is not up to date.
Latest version available is 0.6.3. Your installed version is
To see what has changed, read the ChangeLog here: Only registered users can see links on this board! Get registered or login!
You can download the latest integration package from Only registered users can see links on this board! Get registered or login!


And when I typed in the addy's and clicked on the link to update, the page seems fine. Informs me the database has been updated.
but then when I click on the link to Gallery2, I get a blank page with 'cannot be found' message.

I reran the update for Gallery2 to the Gallery 2.3
Rechecked where all the intergration files were and found them in the wrong subfolders, moved them to the right folders.

Re-ran the upgrade which then took me to the gallery.
Went to the admin section of Nuke then to the gallery config and found a whole other message:
PHP socket functions have been disabled.

Aha! At least its a sign that something is working. Right?
I typed in the addy's again and clicked on the link to verify.....and then nothing....10 million years trying to load the page.

I, of course, finally got frustrated and tried to stop the load and return to the previous page, which didn't work. Then I couldn't load the nuke pages at all.
I disconnected from the net, thinking it might be a problem with my signal (Alltel) and reconnected.

I managed to get the nuke index page to open. Now clicked on the Gallery icon to configure and wound up looking at the original message I was getting before all the re-do

Your integration package is not up to date.
Latest version available is 0.6.3. Your installed version is
To see what has changed, read the ChangeLog here: Only registered users can see links on this board! Get registered or login!
You can download the latest integration package from Only registered users can see links on this board! Get registered or login!


Which tells me the upgrade didn't take?????
So I ran the upgrade again but to no avail. Same page and same results. Although I type in the addy right, when I click on the Gallery link I go back to the same 'cannot find' page.

Now I'm running in circles.

Honest, I'm not just bugging you folks, I'm digging through all the readme's and suggested websites and all that, trying to find out what's happening and how to fix it. (hair pulling time) I need a hero.
 
fkelly
Former Moderator in Good Standing


Joined: Aug 30, 2005
Posts: 3312
Location: near Albany NY

PostPosted: Wed Sep 17, 2008 6:48 pm Reply with quote

I know what a pain this can be. I've had it. One suggestion: you said:

Quote:
Installed Gallery2 update (2.3 Rc1 full)


Don't install their release candidates unless you want to be part of their debugging team. Get the latest full stable release. I made the same mistake a couple months back and wasted a day or two on it.

I would delete everything, painful as that might be, and get the latest stable release and go back through the steps one at a time.
 
View user's profile Send private message Visit poster's website
red46
PostPosted: Wed Sep 17, 2008 7:04 pm Reply with quote

You know...this was supposed to be the stable release. Think I'll go back and make sure. thanks
 
red46
PostPosted: Sun Sep 21, 2008 8:43 am Reply with quote

fkelly wrote:
I know what a pain this can be. I've had it. One suggestion: you said:

Quote:
Installed Gallery2 update (2.3 Rc1 full)


Don't install their release candidates unless you want to be part of their debugging team. Get the latest full stable release. I made the same mistake a couple months back and wasted a day or two on it.

I would delete everything, painful as that might be, and get the latest stable release and go back through the steps one at a time.


You were right. I'm up and running now. Thank you!!!
 
red46
PostPosted: Sun Sep 21, 2008 10:09 pm Reply with quote

You guys are not going to believe this Sad
I messed around, trying to intergrate a newer version of phpbb and in the process, lost contact with every module in the nuke. I'm so tired.....
I replaced the config and put the right info in it and made contact again, thank God but then discovered I'd lost contact with the gallery2 again.

No matter what I tried, I couldn't get it back in RN. Frustrated, I deleted the whole subdirectory (gallery2) and recreated it, uploaded gallery again and installed it. It's working great.
Then I installed the intergration pkg. again and right back to the same old problem I was having.

I go to configure it, and get a message:
Your integration package is not up to date.
Latest version available is 0.6.3. Your installed version is


It really does cut off, like that. Doesn't go on to tell me what it thinks my version is.
It won't configure and of course, I only get the message 'this module hasn't been configured yet', when I try the link.

Would you believe, I've done the same things I did before that finally fixed the problem, twice and I'm just about worn out.

Oh WHY did I think I needed phpbb 3.02????? What's the matter with me am I nuts?I had it made and screwed it all up again. (head pounding time)


Oh yeah, and I worked with both Smart FTP and FileZilla. The last go around was with FileZilla.

And yes, it's gallery2.2.5 so it's not that RC1.

I'm not sure what to try now. I've reuploaded the intergrations files for a third time today.
 
Guardian2003
Site Admin


Joined: Aug 28, 2003
Posts: 6793
Location: Ha Noi, Viet Nam

PostPosted: Mon Sep 22, 2008 4:58 am Reply with quote

You weren't listening Wink
IGNORE the message Latest version available is 0.6.3. Your installed version is
The script uses a socket to connect to the gallery script website to test which version you have and which is the latest but because your server configuration does not allow 'sockets' you will always get that message - even if you have the latest version..
Don't get hung up on that message, it is taking you on a wild goose chase.
 
View user's profile Send private message Send e-mail
red46
PostPosted: Mon Sep 22, 2008 7:00 am Reply with quote

Thanks for stopping this frantic lady from chasing my tail. But now why....
I put in the right addy and info on the config page but when I click on the gallery2 link it takes me to a page within the theme, saying

The module has not yet been configured.

Now I'm trying to get over that hump. It's activated, by the way.
 
Display posts from previous:       
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> RN v2.20.00 - All Issues

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©